package org.apache.jsp.complex;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.util.Date;
import java.util.Map;
import java.util.HashMap;
import de.laures.cewolf.*;
import org.jfree.data.*;
import org.jfree.data.time.*;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.plot.Plot;
import org.jfree.chart.plot.XYPlot;
import org.jfree.chart.renderer.xy.XYItemRenderer;
import java.awt.Color;
import org.jfree.data.category.CategoryDataset;
import de.laures.cewolf.tooltips.XYToolTipGenerator;
import de.laures.cewolf.links.XYItemLinkGenerator;
import org.jfree.data.xy.XYDataset;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

public final class overlay1_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {

class DemoDataSetProducer1 implements DatasetProducer {

		private int idx;

		private double offset;

		public DemoDataSetProducer1(int idx, double offset) {
			this.idx = idx;
			this.offset = offset;
		}

		private Month[] months = new Month[] { new Month(2, 2001),
				new Month(3, 2001), new Month(4, 2001), new Month(5, 2001),
				new Month(6, 2001), new Month(7, 2001), new Month(8, 2001),
				new Month(9, 2001), new Month(10, 2001), new Month(11, 2001),
				new Month(12, 2001), new Month(1, 2002), new Month(2, 2002),
				new Month(3, 2002), new Month(4, 2002), new Month(5, 2002),
				new Month(6, 2002), new Month(7, 2002) };

		private double[] values = new double[] { 181.8, 167.3, 153.8, 167.6,
				158.8, 148.3, 153.9, 142.7, 123.2, 131.8, 139.6, 142.9, 138.7,
				137.3, 143.9, 139.8, 137.0, 132.8 };

		public Object produceDataset(Map params) throws DatasetProduceException {
			TimeSeries s1 = new TimeSeries("L&G European Index Trust " + idx, Month.class);
			for (int i = 0; i < months.length; i++) {
				s1.add(months[i], values[i] + offset);
			}
			return new TimeSeriesCollection(s1);
		}

		public boolean hasExpired(Map params, Date since) {
			return false;
		}

		public String getProducerId() {
			return "European Index Trust " + idx;
		}

	}

	
  private static final JspFactory _jspxFactory = JspFactory.getDefaultFactory();

  private static java.util.List _jspx_dependants;

  static {
    _jspx_dependants = new java.util.ArrayList(2);
    _jspx_dependants.add("/WEB-INF/cewolf.tld");
    _jspx_dependants.add("/complex/overlay1_inc.jsp");
  }

  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fdata;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody;

  private javax.el.ExpressionFactory _el_expressionfactory;
  private org.apache.AnnotationProcessor _jsp_annotationprocessor;

  public Object getDependants() {
    return _jspx_dependants;
  }

  public void _jspInit() {
    _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fdata = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
    _jsp_annotationprocessor = (org.apache.AnnotationProcessor) getServletConfig().getServletContext().getAttribute(org.apache.AnnotationProcessor.class.getName());
  }

  public void _jspDestroy() {
    _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid.release();
    _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody.release();
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.release();
    _005fjspx_005ftagPool_005fcewolf_005fdata.release();
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.release();
    _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody.release();
    _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid.release();
    _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody.release();
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");

		final DatasetProducer dp1 = new DemoDataSetProducer1(0,-50);

		DatasetProducer dp2 = new DatasetProducer() {

			public Object produceDataset(Map params) throws DatasetProduceException {
				TimeSeries data = ((TimeSeriesCollection) dp1.produceDataset(new HashMap())).getSeries(0);
				return new TimeSeriesCollection(MovingAverage.createMovingAverage((TimeSeries) data,
								"Six Month Moving Average", 6, 6));
			}

			public boolean hasExpired(Map params, Date since) {
				return false;
			}

			public String getProducerId() {
				return "European Index Trust Average";
			}

		};

		// example how to create a post processor for each charts in the overlaid
		ChartPostProcessor postprocessor = new ChartPostProcessor() {

			public void processChart(Object chart, Map params) {
				JFreeChart jfc = (JFreeChart) chart;
				XYPlot plot = (XYPlot) jfc.getPlot();
				// set different colors for each:
				Color[] colors = new Color[] { Color.BLACK, Color.BLUE,
						Color.YELLOW, Color.GREEN, Color.GRAY };
				for (int i = 0; i < 4; i++) {
					XYItemRenderer renderer = plot.getRenderer(i);
					if (renderer!=null) {
						renderer.setPaint(colors[i]);
					}
				}
			}

		};

		pageContext.setAttribute("xy1", dp1);
		pageContext.setAttribute("xy2", dp2);

		// create parallel data lines for these charts:
		pageContext.setAttribute("dp3", new DemoDataSetProducer1(3, 40));
		pageContext.setAttribute("dp4", new DemoDataSetProducer1(4, 50));
		pageContext.setAttribute("dp5", new DemoDataSetProducer1(5, 60));

		pageContext.setAttribute("postprocessor", postprocessor);
		
		
		// create example link generator for the overlaid chart
		final SimpleDateFormat dateformat = new SimpleDateFormat("yyyy/MM/dd");
		
		XYToolTipGenerator tooltipGenerator = new XYToolTipGenerator() {
			public String generateToolTip(XYDataset data, int series, int item) {
				Date d = new Date(((Long)data.getX(series,item)).longValue());
				return "tooltip x=" + dateformat.format(d) + ",y="+ data.getY(series,item);
			}
		};
		
		XYItemLinkGenerator linkGenerator = new XYItemLinkGenerator() {
			 public String generateLink(Object data, int series, int item) {
			 	XYDataset dataset = (XYDataset) data;
			 	Date d = new Date(((Long)dataset.getX(series,item)).longValue());
			 	return "link x=" + dateformat.format(d) + ",y="+ dataset.getY(series,item);
			 }
		};	
		
		pageContext.setAttribute("tooltipGenerator", tooltipGenerator);
		pageContext.setAttribute("linkGenerator", linkGenerator);	
		

      out.write("\r\n");
      out.write("<html>\r\n");
      out.write("<head>\r\n");
      out.write("<link href=\"cewolf.css\" rel=\"stylesheet\" type=\"text/css\"></head>\r\n");
      out.write("<BODY bgcolor=\"#DDE8F2\">\r\n");
      out.write("<H1>Complex Chart Set</H1>\r\n");
      out.write("<p>\r\n");
      out.write("<table border=0>\r\n");
      out.write("\r\n");
      out.write("<TR>\r\n");
      out.write("<TD>\r\n");
      if (_jspx_meth_cewolf_005foverlaidchart_005f0(_jspx_page_context))
        return;
      out.write("\r\n");
      out.write("\r\n");
      out.write("<!-- this demonstrates that links work with overlaid chart too -->\r\n");
      if (_jspx_meth_cewolf_005fimg_005f0(_jspx_page_context))
        return;
      out.write("\r\n");
      out.write("\r\n");
      out.write("</TD>\r\n");
      out.write("</TR>\r\n");
      out.write("</TABLE>\r\n");
      out.write("</body>\r\n");
      out.write("</html>\r\n");
      out.write("\r\n");
      out.write("\r\n");
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try { out.clearBuffer(); } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }

  private boolean _jspx_meth_cewolf_005foverlaidchart_005f0(PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:overlaidchart
    de.laures.cewolf.taglib.tags.OverlaidChartTag _jspx_th_cewolf_005foverlaidchart_005f0 = (de.laures.cewolf.taglib.tags.OverlaidChartTag) _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid.get(de.laures.cewolf.taglib.tags.OverlaidChartTag.class);
    _jspx_th_cewolf_005foverlaidchart_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005foverlaidchart_005f0.setParent(null);
    // /complex/overlay1_inc.jsp(145,0) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setId("test2");
    // /complex/overlay1_inc.jsp(145,0) name = title type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setTitle("LG European Index Trust (with moving average)");
    // /complex/overlay1_inc.jsp(145,0) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setType("overlaidxy");
    // /complex/overlay1_inc.jsp(145,0) name = xaxistype type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setxaxistype("date");
    // /complex/overlay1_inc.jsp(145,0) name = yaxistype type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setyaxistype("number");
    // /complex/overlay1_inc.jsp(145,0) name = xaxislabel type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setXaxislabel("x-values");
    // /complex/overlay1_inc.jsp(145,0) name = yaxislabel type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005foverlaidchart_005f0.setYaxislabel("y-values");
    int _jspx_eval_cewolf_005foverlaidchart_005f0 = _jspx_th_cewolf_005foverlaidchart_005f0.doStartTag();
    if (_jspx_eval_cewolf_005foverlaidchart_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("    ");
        if (_jspx_meth_cewolf_005fcolorpaint_005f0(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fplot_005f0(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fplot_005f1(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fplot_005f2(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\t\t\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fplot_005f3(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\t\t\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fplot_005f4(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\t\r\n");
        out.write("\t\t\r\n");
        out.write("\t\t");
        if (_jspx_meth_cewolf_005fchartpostprocessor_005f0(_jspx_th_cewolf_005foverlaidchart_005f0, _jspx_page_context))
          return true;
        out.write("\t\r\n");
        out.write("\t\t\r\n");
        int evalDoAfterBody = _jspx_th_cewolf_005foverlaidchart_005f0.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005foverlaidchart_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid.reuse(_jspx_th_cewolf_005foverlaidchart_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005foverlaidchart_0026_005fyaxistype_005fyaxislabel_005fxaxistype_005fxaxislabel_005ftype_005ftitle_005fid.reuse(_jspx_th_cewolf_005foverlaidchart_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fcolorpaint_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:colorpaint
    de.laures.cewolf.taglib.tags.ColorTag _jspx_th_cewolf_005fcolorpaint_005f0 = (de.laures.cewolf.taglib.tags.ColorTag) _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody.get(de.laures.cewolf.taglib.tags.ColorTag.class);
    _jspx_th_cewolf_005fcolorpaint_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fcolorpaint_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(153,4) name = color type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fcolorpaint_005f0.setColor("#AAAAFFEE");
    int _jspx_eval_cewolf_005fcolorpaint_005f0 = _jspx_th_cewolf_005fcolorpaint_005f0.doStartTag();
    if (_jspx_th_cewolf_005fcolorpaint_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody.reuse(_jspx_th_cewolf_005fcolorpaint_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fcolorpaint_0026_005fcolor_005fnobody.reuse(_jspx_th_cewolf_005fcolorpaint_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fplot_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:plot
    de.laures.cewolf.taglib.tags.PlotTag _jspx_th_cewolf_005fplot_005f0 = (de.laures.cewolf.taglib.tags.PlotTag) _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.get(de.laures.cewolf.taglib.tags.PlotTag.class);
    _jspx_th_cewolf_005fplot_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fplot_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(155,2) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fplot_005f0.setType("xyline");
    int _jspx_eval_cewolf_005fplot_005f0 = _jspx_th_cewolf_005fplot_005f0.doStartTag();
    if (_jspx_eval_cewolf_005fplot_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("\t\t\t");
        if (_jspx_meth_cewolf_005fdata_005f0(_jspx_th_cewolf_005fplot_005f0, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fplot_005f0.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fplot_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fdata_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fplot_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:data
    de.laures.cewolf.taglib.tags.DataTag _jspx_th_cewolf_005fdata_005f0 = (de.laures.cewolf.taglib.tags.DataTag) _005fjspx_005ftagPool_005fcewolf_005fdata.get(de.laures.cewolf.taglib.tags.DataTag.class);
    _jspx_th_cewolf_005fdata_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fdata_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fplot_005f0);
    int _jspx_eval_cewolf_005fdata_005f0 = _jspx_th_cewolf_005fdata_005f0.doStartTag();
    if (_jspx_eval_cewolf_005fdata_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("      \t\t\t");
        if (_jspx_meth_cewolf_005fproducer_005f0(_jspx_th_cewolf_005fdata_005f0, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t    \t");
        int evalDoAfterBody = _jspx_th_cewolf_005fdata_005f0.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fdata_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fproducer_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fdata_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:producer
    de.laures.cewolf.taglib.tags.ProducerTag _jspx_th_cewolf_005fproducer_005f0 = (de.laures.cewolf.taglib.tags.ProducerTag) _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ProducerTag.class);
    _jspx_th_cewolf_005fproducer_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fproducer_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fdata_005f0);
    // /complex/overlay1_inc.jsp(157,9) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fproducer_005f0.setId("xy2");
    int _jspx_eval_cewolf_005fproducer_005f0 = _jspx_th_cewolf_005fproducer_005f0.doStartTag();
    if (_jspx_th_cewolf_005fproducer_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fplot_005f1(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:plot
    de.laures.cewolf.taglib.tags.PlotTag _jspx_th_cewolf_005fplot_005f1 = (de.laures.cewolf.taglib.tags.PlotTag) _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.get(de.laures.cewolf.taglib.tags.PlotTag.class);
    _jspx_th_cewolf_005fplot_005f1.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fplot_005f1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(161,2) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fplot_005f1.setType("xyverticalbar");
    int _jspx_eval_cewolf_005fplot_005f1 = _jspx_th_cewolf_005fplot_005f1.doStartTag();
    if (_jspx_eval_cewolf_005fplot_005f1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("\t\t\t");
        if (_jspx_meth_cewolf_005fdata_005f1(_jspx_th_cewolf_005fplot_005f1, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fplot_005f1.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fplot_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f1);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f1);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fdata_005f1(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fplot_005f1, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:data
    de.laures.cewolf.taglib.tags.DataTag _jspx_th_cewolf_005fdata_005f1 = (de.laures.cewolf.taglib.tags.DataTag) _005fjspx_005ftagPool_005fcewolf_005fdata.get(de.laures.cewolf.taglib.tags.DataTag.class);
    _jspx_th_cewolf_005fdata_005f1.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fdata_005f1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fplot_005f1);
    int _jspx_eval_cewolf_005fdata_005f1 = _jspx_th_cewolf_005fdata_005f1.doStartTag();
    if (_jspx_eval_cewolf_005fdata_005f1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("      \t\t\t");
        if (_jspx_meth_cewolf_005fproducer_005f1(_jspx_th_cewolf_005fdata_005f1, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("    \t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fdata_005f1.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fdata_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f1);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f1);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fproducer_005f1(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fdata_005f1, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:producer
    de.laures.cewolf.taglib.tags.ProducerTag _jspx_th_cewolf_005fproducer_005f1 = (de.laures.cewolf.taglib.tags.ProducerTag) _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ProducerTag.class);
    _jspx_th_cewolf_005fproducer_005f1.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fproducer_005f1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fdata_005f1);
    // /complex/overlay1_inc.jsp(163,9) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fproducer_005f1.setId("xy1");
    int _jspx_eval_cewolf_005fproducer_005f1 = _jspx_th_cewolf_005fproducer_005f1.doStartTag();
    if (_jspx_th_cewolf_005fproducer_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f1);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f1);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fplot_005f2(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:plot
    de.laures.cewolf.taglib.tags.PlotTag _jspx_th_cewolf_005fplot_005f2 = (de.laures.cewolf.taglib.tags.PlotTag) _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.get(de.laures.cewolf.taglib.tags.PlotTag.class);
    _jspx_th_cewolf_005fplot_005f2.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fplot_005f2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(167,2) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fplot_005f2.setType("xyline");
    int _jspx_eval_cewolf_005fplot_005f2 = _jspx_th_cewolf_005fplot_005f2.doStartTag();
    if (_jspx_eval_cewolf_005fplot_005f2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("\t\t\t");
        if (_jspx_meth_cewolf_005fdata_005f2(_jspx_th_cewolf_005fplot_005f2, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fplot_005f2.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fplot_005f2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f2);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f2);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fdata_005f2(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fplot_005f2, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:data
    de.laures.cewolf.taglib.tags.DataTag _jspx_th_cewolf_005fdata_005f2 = (de.laures.cewolf.taglib.tags.DataTag) _005fjspx_005ftagPool_005fcewolf_005fdata.get(de.laures.cewolf.taglib.tags.DataTag.class);
    _jspx_th_cewolf_005fdata_005f2.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fdata_005f2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fplot_005f2);
    int _jspx_eval_cewolf_005fdata_005f2 = _jspx_th_cewolf_005fdata_005f2.doStartTag();
    if (_jspx_eval_cewolf_005fdata_005f2 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("      \t\t\t");
        if (_jspx_meth_cewolf_005fproducer_005f2(_jspx_th_cewolf_005fdata_005f2, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t    \t");
        int evalDoAfterBody = _jspx_th_cewolf_005fdata_005f2.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fdata_005f2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f2);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f2);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fproducer_005f2(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fdata_005f2, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:producer
    de.laures.cewolf.taglib.tags.ProducerTag _jspx_th_cewolf_005fproducer_005f2 = (de.laures.cewolf.taglib.tags.ProducerTag) _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ProducerTag.class);
    _jspx_th_cewolf_005fproducer_005f2.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fproducer_005f2.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fdata_005f2);
    // /complex/overlay1_inc.jsp(169,9) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fproducer_005f2.setId("dp3");
    int _jspx_eval_cewolf_005fproducer_005f2 = _jspx_th_cewolf_005fproducer_005f2.doStartTag();
    if (_jspx_th_cewolf_005fproducer_005f2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f2);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f2);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fplot_005f3(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:plot
    de.laures.cewolf.taglib.tags.PlotTag _jspx_th_cewolf_005fplot_005f3 = (de.laures.cewolf.taglib.tags.PlotTag) _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.get(de.laures.cewolf.taglib.tags.PlotTag.class);
    _jspx_th_cewolf_005fplot_005f3.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fplot_005f3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(173,2) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fplot_005f3.setType("scatter");
    int _jspx_eval_cewolf_005fplot_005f3 = _jspx_th_cewolf_005fplot_005f3.doStartTag();
    if (_jspx_eval_cewolf_005fplot_005f3 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("\t\t\t");
        if (_jspx_meth_cewolf_005fdata_005f3(_jspx_th_cewolf_005fplot_005f3, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fplot_005f3.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fplot_005f3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f3);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f3);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fdata_005f3(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fplot_005f3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:data
    de.laures.cewolf.taglib.tags.DataTag _jspx_th_cewolf_005fdata_005f3 = (de.laures.cewolf.taglib.tags.DataTag) _005fjspx_005ftagPool_005fcewolf_005fdata.get(de.laures.cewolf.taglib.tags.DataTag.class);
    _jspx_th_cewolf_005fdata_005f3.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fdata_005f3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fplot_005f3);
    int _jspx_eval_cewolf_005fdata_005f3 = _jspx_th_cewolf_005fdata_005f3.doStartTag();
    if (_jspx_eval_cewolf_005fdata_005f3 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("      \t\t\t");
        if (_jspx_meth_cewolf_005fproducer_005f3(_jspx_th_cewolf_005fdata_005f3, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("    \t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fdata_005f3.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fdata_005f3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f3);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f3);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fproducer_005f3(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fdata_005f3, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:producer
    de.laures.cewolf.taglib.tags.ProducerTag _jspx_th_cewolf_005fproducer_005f3 = (de.laures.cewolf.taglib.tags.ProducerTag) _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ProducerTag.class);
    _jspx_th_cewolf_005fproducer_005f3.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fproducer_005f3.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fdata_005f3);
    // /complex/overlay1_inc.jsp(175,9) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fproducer_005f3.setId("dp4");
    int _jspx_eval_cewolf_005fproducer_005f3 = _jspx_th_cewolf_005fproducer_005f3.doStartTag();
    if (_jspx_th_cewolf_005fproducer_005f3.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f3);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f3);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fplot_005f4(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:plot
    de.laures.cewolf.taglib.tags.PlotTag _jspx_th_cewolf_005fplot_005f4 = (de.laures.cewolf.taglib.tags.PlotTag) _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.get(de.laures.cewolf.taglib.tags.PlotTag.class);
    _jspx_th_cewolf_005fplot_005f4.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fplot_005f4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(179,2) name = type type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fplot_005f4.setType("scatter");
    int _jspx_eval_cewolf_005fplot_005f4 = _jspx_th_cewolf_005fplot_005f4.doStartTag();
    if (_jspx_eval_cewolf_005fplot_005f4 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("\t\t\t");
        if (_jspx_meth_cewolf_005fdata_005f4(_jspx_th_cewolf_005fplot_005f4, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("\t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fplot_005f4.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fplot_005f4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f4);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fplot_0026_005ftype.reuse(_jspx_th_cewolf_005fplot_005f4);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fdata_005f4(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fplot_005f4, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:data
    de.laures.cewolf.taglib.tags.DataTag _jspx_th_cewolf_005fdata_005f4 = (de.laures.cewolf.taglib.tags.DataTag) _005fjspx_005ftagPool_005fcewolf_005fdata.get(de.laures.cewolf.taglib.tags.DataTag.class);
    _jspx_th_cewolf_005fdata_005f4.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fdata_005f4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fplot_005f4);
    int _jspx_eval_cewolf_005fdata_005f4 = _jspx_th_cewolf_005fdata_005f4.doStartTag();
    if (_jspx_eval_cewolf_005fdata_005f4 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      do {
        out.write("\r\n");
        out.write("      \t\t\t");
        if (_jspx_meth_cewolf_005fproducer_005f4(_jspx_th_cewolf_005fdata_005f4, _jspx_page_context))
          return true;
        out.write("\r\n");
        out.write("    \t\t");
        int evalDoAfterBody = _jspx_th_cewolf_005fdata_005f4.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
    }
    if (_jspx_th_cewolf_005fdata_005f4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f4);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fdata.reuse(_jspx_th_cewolf_005fdata_005f4);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fproducer_005f4(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fdata_005f4, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:producer
    de.laures.cewolf.taglib.tags.ProducerTag _jspx_th_cewolf_005fproducer_005f4 = (de.laures.cewolf.taglib.tags.ProducerTag) _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ProducerTag.class);
    _jspx_th_cewolf_005fproducer_005f4.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fproducer_005f4.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fdata_005f4);
    // /complex/overlay1_inc.jsp(181,9) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fproducer_005f4.setId("dp5");
    int _jspx_eval_cewolf_005fproducer_005f4 = _jspx_th_cewolf_005fproducer_005f4.doStartTag();
    if (_jspx_th_cewolf_005fproducer_005f4.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f4);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fproducer_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fproducer_005f4);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fchartpostprocessor_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005foverlaidchart_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:chartpostprocessor
    de.laures.cewolf.taglib.tags.ChartPostProcessorTag _jspx_th_cewolf_005fchartpostprocessor_005f0 = (de.laures.cewolf.taglib.tags.ChartPostProcessorTag) _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody.get(de.laures.cewolf.taglib.tags.ChartPostProcessorTag.class);
    _jspx_th_cewolf_005fchartpostprocessor_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fchartpostprocessor_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005foverlaidchart_005f0);
    // /complex/overlay1_inc.jsp(185,2) name = id type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fchartpostprocessor_005f0.setId("postprocessor");
    int _jspx_eval_cewolf_005fchartpostprocessor_005f0 = _jspx_th_cewolf_005fchartpostprocessor_005f0.doStartTag();
    if (_jspx_th_cewolf_005fchartpostprocessor_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fchartpostprocessor_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fchartpostprocessor_0026_005fid_005fnobody.reuse(_jspx_th_cewolf_005fchartpostprocessor_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fimg_005f0(PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:img
    de.laures.cewolf.taglib.tags.ChartImgTag _jspx_th_cewolf_005fimg_005f0 = (de.laures.cewolf.taglib.tags.ChartImgTag) _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid.get(de.laures.cewolf.taglib.tags.ChartImgTag.class);
    _jspx_th_cewolf_005fimg_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fimg_005f0.setParent(null);
    // /complex/overlay1_inc.jsp(190,0) name = chartid type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fimg_005f0.setChartid("test2");
    // /complex/overlay1_inc.jsp(190,0) name = renderer type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fimg_005f0.setRenderer("/cewolf");
    // /complex/overlay1_inc.jsp(190,0) name = width type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fimg_005f0.setWidth(500);
    // /complex/overlay1_inc.jsp(190,0) name = height type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fimg_005f0.setHeight(300);
    int _jspx_eval_cewolf_005fimg_005f0 = _jspx_th_cewolf_005fimg_005f0.doStartTag();
    if (_jspx_eval_cewolf_005fimg_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
      if (_jspx_eval_cewolf_005fimg_005f0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.pushBody();
        _jspx_th_cewolf_005fimg_005f0.setBodyContent((javax.servlet.jsp.tagext.BodyContent) out);
        _jspx_th_cewolf_005fimg_005f0.doInitBody();
      }
      do {
        out.write('\r');
        out.write('\n');
        out.write('	');
        if (_jspx_meth_cewolf_005fmap_005f0(_jspx_th_cewolf_005fimg_005f0, _jspx_page_context))
          return true;
        out.write('\r');
        out.write('\n');
        int evalDoAfterBody = _jspx_th_cewolf_005fimg_005f0.doAfterBody();
        if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
          break;
      } while (true);
      if (_jspx_eval_cewolf_005fimg_005f0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
        out = _jspx_page_context.popBody();
      }
    }
    if (_jspx_th_cewolf_005fimg_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid.reuse(_jspx_th_cewolf_005fimg_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fimg_0026_005fwidth_005frenderer_005fheight_005fchartid.reuse(_jspx_th_cewolf_005fimg_005f0);
    return false;
  }

  private boolean _jspx_meth_cewolf_005fmap_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cewolf_005fimg_005f0, PageContext _jspx_page_context)
          throws Throwable {
    PageContext pageContext = _jspx_page_context;
    JspWriter out = _jspx_page_context.getOut();
    //  cewolf:map
    de.laures.cewolf.taglib.tags.ChartMapTag _jspx_th_cewolf_005fmap_005f0 = (de.laures.cewolf.taglib.tags.ChartMapTag) _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody.get(de.laures.cewolf.taglib.tags.ChartMapTag.class);
    _jspx_th_cewolf_005fmap_005f0.setPageContext(_jspx_page_context);
    _jspx_th_cewolf_005fmap_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cewolf_005fimg_005f0);
    // /complex/overlay1_inc.jsp(191,1) name = linkgeneratorid type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fmap_005f0.setLinkgeneratorid("linkGenerator");
    // /complex/overlay1_inc.jsp(191,1) name = tooltipgeneratorid type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
    _jspx_th_cewolf_005fmap_005f0.setTooltipgeneratorid("tooltipGenerator");
    int _jspx_eval_cewolf_005fmap_005f0 = _jspx_th_cewolf_005fmap_005f0.doStartTag();
    if (_jspx_th_cewolf_005fmap_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
      _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody.reuse(_jspx_th_cewolf_005fmap_005f0);
      return true;
    }
    _005fjspx_005ftagPool_005fcewolf_005fmap_0026_005ftooltipgeneratorid_005flinkgeneratorid_005fnobody.reuse(_jspx_th_cewolf_005fmap_005f0);
    return false;
  }
}
