TYPE=TRIGGERS
triggers='CREATE DEFINER=`root`@`localhost` TRIGGER BU_dettaglio_movimenti BEFORE UPDATE ON dettaglio_movimenti\nFOR EACH ROW\nBEGIN\n    SET NEW.note=\'\';\n    SET NEW.anno_rif=RecuperaAnnoMovimento(NEW.id_movimento);\n    if NEW.dare<>\'0\' then\n        SET NEW.segno=\'D\';\n    end if;\n    if NEW.avere<>\'0\' then\n        SET NEW.segno=\'A\';\n    end if;\n    if NEW.dare<>\'0\' and NEW.avere<>\'0\' then\n        SET NEW.segno=\'?\';\n        SET NEW.note=\'Utilizzare una sola colonna tra DARE e AVERE! <img src="images/ko.gif">\';\n    end if;\nEND' 'CREATE DEFINER=`root`@`localhost` TRIGGER BI_dettaglio_movimenti BEFORE INSERT ON dettaglio_movimenti\nFOR EACH ROW\nBEGIN\n    SET NEW.note=\'\';\n    SET NEW.anno_rif=RecuperaAnnoMovimento(NEW.id_movimento);\n    if NEW.dare<>\'0\' then\n        SET NEW.segno=\'D\';\n    end if;\n    if NEW.avere<>\'0\' then\n        SET NEW.segno=\'A\';\n    end if;\n    if NEW.dare<>\'0\' and NEW.avere<>\'0\' then\n        SET NEW.segno=\'?\';\n        SET NEW.note=\'Utilizzare una sola colonna tra DARE e AVERE! <img src="images/ko.gif">\';\n    end if;\nEND' 'CREATE DEFINER=`root`@`localhost` TRIGGER AU_dettaglio_movimenti AFTER UPDATE ON dettaglio_movimenti\nFOR EACH ROW\nBEGIN\n    DECLARE vDare float(10,2);\n    DECLARE vAvere float(10,2);\n\n    select sum(dare) into vDare from dettaglio_movimenti where id_movimento=NEW.id_movimento; \n    select sum(avere) into vAvere from dettaglio_movimenti where id_movimento=NEW.id_movimento; \n    if (vDare<>vAvere) then\n        update movimenti set quadrato=\'N\' where id=NEW.id_movimento;\n    else\n        update movimenti set quadrato=\'Y\' where id=NEW.id_movimento;\n    end if;\nEND'
sql_modes=2097152 2097152 2097152
definers='root@localhost' 'root@localhost' 'root@localhost'
client_cs_names='latin1' 'latin1' 'latin1'
connection_cl_names='latin1_swedish_ci' 'latin1_swedish_ci' 'latin1_swedish_ci'
db_cl_names='latin1_swedish_ci' 'latin1_swedish_ci' 'latin1_swedish_ci'
